/* ld script to make ARM BIOS
 */
OUTPUT_ARCH(arm)
ENTRY(_entry)

MEMORY
{
	flash : ORIGIN = 0x411400c0, LENGTH = 256K
	ram   : ORIGIN = 0x1000, LENGTH = 16K
}

PHDRS
{
/*	headers	PT_PHDR	FILEHDR PHDRS; */
	text	PT_LOAD;
	data	PT_LOAD;
}

SECTIONS
{
	.text : {
		_text = .;		/* Text and read-only data      */
		  *(.text)
		  *(.fixup)
		  *(.gnu.warning)
		  *(.rodata)
		  *(.glue_7)
		  *(.glue_7t)
		. = ALIGN(4);
		_etext = .;
	} > flash :text

	.data : {			/* Data                         */
		_data = .;
		  *(.data)
		_edata = .;
	} > ram :data
	_data_sz = SIZEOF(.data);

	.bss : {
		_bss_start = .;		/* BSS                          */
		  *(.bss)
		  *(COMMON)
		_end = . ;
	} > ram :data
}
